
Figure - Bug #119090
【BSP】【EVT3】【OTA】OTA升级后，抖音app中同城和推荐界面提示没有网络，但是商城等界面和其他app
网络正常
2023-07-24 17:40 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-07-24

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0126

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

None

【测试步骤】

1. 烧写126版本

2. 打开抖音app

3. 进行OTA升级

4. 升级重启后重新打开抖音app

【预期结果】

4 APP可以正常打开

【实际结果】

4 抖音app中同城和推荐界面提示没有网络，但是商城等界面和其他app网络正常

History

#1 - 2023-07-24 17:41 - 移动测试一组_CDTS 刘强

升级前所有界面均可以正常播放

复现问题后，重启可以恢复正常

#2 - 2023-07-25 19:33 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD LC 陶洪普

#3 - 2023-07-25 19:34 - CD TPM-王祥林

- Category changed from Other to LC

#4 - 2023-07-25 20:11 - CD LC 陶洪普

- File ErrorWhenUnzip-2023-07-25-200911.png added

tlog_iov0201017500006162025411a2305070000003681_003223_0724170852.tar.gz

日志无法打开，

ErrorWhenUnzip-2023-07-25-200911.png
#5 - 2023-07-27 09:51 - 移动测试一组_CDTS 刘强

- File any23132.pcap added

- File sss.txt added

#6 - 2023-07-27 09:51 - 移动测试一组_CDTS 刘强

已复现抓取tcpdump和新的logcat

#7 - 2023-08-11 17:47 - CD LC邓帅

- Status changed from New to RESOLVED

- Assignee changed from CD LC 陶洪普 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

Hi all,

从捕获的日志来看，抖音在管理自己内部网络时，创建socket失败了。导致它应用内部部分界面无法刷新，和副屏功能无关。

07-27 09:37:50.667  1563  1706 I am_proc_start:

[0,4231,10097,com.ss.android.ugc.aweme,top-activity,{com.ss.android.ugc.aweme/com.ss.android.ugc.aweme.splash.SplashActivity}]

07-27 09:37:50.667  1563  1706 I ActivityManager: Start proc 4231:com.ss.android.ugc.aweme/u0a97 for top-activity

{com.ss.android.ugc.aweme/com.ss.android.ugc.aweme.splash.SplashActivity}

...

07-27 09:45:07.660  4231  5587 I chromium: [INFO:transport_client_socket_pool.cc(627)] PREDICTOR_DEBUG :====== Create a new socket in

p3-webcast.douyinpic.com:80 preconnecting : 0

07-27 09:45:07.660  4231  5587 I chromium: [INFO:tt_multinetwork_manager.cc(83)] Bind failed: state 0

07-27 09:45:07.660  4231  8343 I chromium: [INFO:tt_multinetwork_manager_sub.cc(108)] Resolve failed: state 0

07-27 09:45:07.660  4231  8343 E chromium: [ERROR:tt_multinetwork_manager.cc(113)] TryResolveHostWithCellularNetwork Use system default local host resolver.

07-27 09:45:07.740  4231  5587 I chromium: [INFO:tt_multinetwork_manager.cc(83)] Bind failed: state 0

第三方应用问题，申请不解。

Thanks

#8 - 2023-08-24 17:02 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#9 - 2023-08-24 17:02 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

tlog_iov0201017500006162025411a2305070000003681_003223_0724170852.tar.gz128 KB 2023-07-24 移动测试一组_CDTS 刘强

Screenshot_20230724-165139.png 1.55 MB 2023-07-24 移动测试一组_CDTS 刘强

Screenshot_20230724-165146.png 1.59 MB 2023-07-24 移动测试一组_CDTS 刘强

ErrorWhenUnzip-2023-07-25-200911.png 12.9 KB 2023-07-25 CD LC 陶洪普

any23132.pcap 745 KB 2023-07-27 移动测试一组_CDTS 刘强

sss.txt 3.98 MB 2023-07-27 移动测试一组_CDTS 刘强
